{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>   
    function asignarauditor(xid, xpersonal)
    {
        document.formreporte.personal.value=xpersonal;
        document.formreporte.xpersonal.value=xid;
        $('#bs-example-modal-lg').modal('hide');
    } 
    function seleccionarproyecto(xpersonal, xproyecto)
    {
      document.formvalidar.personal_id.value = xpersonal;              
      document.formvalidar.proyecto_id.value = xproyecto;
    } 
    function generar_reporte()
    {
        xparametro1=document.formvalidar.xmes.value;
        xparametro2='MOVIEMBRE';
        xparametro3=document.formvalidar.personal_id.value;
        xparametro4=document.formvalidar.anio.value;
        xparametro5=document.formvalidar.proyecto_id.value;
        window.location.href = "/auditor/reporte_mensual?xparametro1="+xparametro1+"&xparametro2="+xparametro2+"&xparametro3="+xparametro3+"&xparametro4="+xparametro4+"&xparametro5="+xparametro5;
    }
           
</script>

<div class="x_panel">
    <div class="x_title">
      <h2>SELECCIONAR TRABAJO DE AUDITORIA</h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <form name="formreporte" id="formreporte" method="POST"> {% csrf_token %}
            <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                <label class="control-label">AUDITOR:</label>
                <input type="text" id="personal" name="personal" value="{{ personal.nombre }}" class="form-control" readonly="readonly">
                {% if request.user.is_superuser or perms.administrador.change_controlsupervisor %}
                <a href="#" class="btn btn-primary" data-toggle="modal" data-target=".bs-example-modal-lg" ><i
                    class="fa fa-refresh"></i> Seleccionar auditor</a>
                {% endif %}
                <table  id="datatable-responsive"
                class="table table-striped table-bordered table condensed table-hover table-responsive"
                cellspacing="0" width="100%">
                    <thead>
                        <th>ID</th>
                        <th>AUDITOR</th>
                        <th width="35%">PROYECTO</th>
                        <th>PROGRAMACION</th>
                        <th>PLAZO</th>
                        <th>NRO MEMORANDUM</th>
                        <th>FECHA MEMORANDUM</th>
                        <th>TIPO DE ASIGNACION</th>
                        <th>ESTADO</th>
                        <th>FECHA DE INICIO</th>
                        <th>OPCION</th>
                    </thead>
                    <tbody>
                        {% for asignacion in asignaciones %}
                        <tr>
                            <td>{{ asignacion.id }}</td>
                            <td>{{ asignacion.personal.tipoauditor }} </td>
                            <td>{{ asignacion.proyecto.nombre_proyecto }}</td>
                            <td>{{ asignacion.proyecto.tipo }}</td>
                            <td>{{ asignacion.plazo }} dias</td>
                            <td>{{ asignacion.nro_memorandum }}/{{ asignacion.gestion_memorandum }}</td>
                            <td>{{ asignacion.fecha_memorandum }}</td>
                            <td>{{ asignacion.tipoasignacion.nombre_tipo }}</td>
                            <td>{{ asignacion.estado }}</td>
                            <td>{{ asignacion.fecha_inicio|date:"d/m/Y" }}</td>
                            
                            <td> <a href="#" class="btn btn-primary" data-toggle="modal" data-target=".bs-example-modal-lg2" onclick="seleccionarproyecto('{{ asignacion.personal.id }}', '{{ asignacion.proyecto.id }}' );"><i class="fa fa-print"></i> </a></td>
                        </tr>
                        {% endfor %}
                       
                    </tbody>    
                </table>
                <input type="hidden" id="xpersonal" name="xpersonal" value="{{ personal.id }}" class="form-control">
                <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
            </div>          
           
        </form>
        
    </div>
  </div>
  <!---------------- MODAL PARA BUSCAR   ------------------------->
  <div class="modal fade bs-example-modal-lg" id="bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">    
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">Seleccionar auditor</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <table  id="datatable-responsive"
                    class="table table-striped table-bordered table condensed table-hover table-responsive"
                    cellspacing="0" width="100%">
              <thead width="100%">
                <th width="10%">ID</th>
                <th width="80%">AUDITOR</th>               
                <th width="10%"></th>
              </thead>
              <tbody width="100%">
                {% for auditor in auditores %}
                <tr>
                    <td width="10%">{{ auditor.id }}</td>
                    <td width="80%">{{ auditor.nombre }} {{ auditor.a_paterno }} {{ auditor.a_materno }}</td>                    
                    <td width="10%"><a href="#" onclick="asignarauditor({{ auditor.id }}, '{{ auditor.nombre }}  {{ auditor.a_paterno }} {{ auditor.a_materno }}');" class="btn btn-warning btn-xs"><i class="fa fa-edit"></i></a></td>
                </tr>
                {% endfor %}               
              </tbody>    
            </table>   
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div> 
<!---------------- MODAL PARA BUSCAR   ------------------------->
<!---------------- MODAL PARA SELECCIONAR MES Y ANIO   ------------------------->
  <div class="modal fade bs-example-modal-lg2" id="bs-example-modal-lg2" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">    
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">Seleccionar auditor</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="formvalidar" name="formvalidar" method="post" action=".">
              <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
                <label class="control-label">MES:</label>
                <select id="xmes" name="xmes" class="form-control">              
                  <option value="1">Enero</option>
                  <option value="2">Febrero</option>
                  <option value="3">Marzo</option>
                  <option value="4">Abril</option>
                  <option value="5">Mayo</option>
                  <option value="6">Junio</option>
                  <option value="7">Julio</option>
                  <option value="8">Agosto</option>
                  <option value="9">Septiembre</option>
                  <option value="10">Octubre</option>
                  <option value="11">Noviembre</option>
                  <option value="12">Diciembre</option>
                </select>  
              </div>
              <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
                <label class="control-label">AÑO:</label>
                <input type="text" id="anio" name="anio" value="2021" class="form-control">
                <input type="hidden" id="personal_id" name="personal_id" class="form-control">              
                <input type="hidden" id="proyecto_id" name="proyecto_id" class="form-control">              
              </div>
            </form>
            
          </div>
          <div class="modal-footer">
            <a href="#" onclick="generar_reporte();" class="btn btn-primary" ><i class="fa fa-refresh"></i> Generar reporte</a>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div> 
<!---------------- MODAL PARA BUSCAR   ------------------------->

{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}